org.icefaces.ace.component.animation

## Class ClientBehaviorContextImpl

- java.lang.Object
- - javax.faces.component.behavior.ClientBehaviorContext
  - - org.icefaces.ace.component.animation.ClientBehaviorContextImpl

-     public class ClientBehaviorContextImpl
      extends javax.faces.component.behavior.ClientBehaviorContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.behavior.ClientBehaviorContext

      `javax.faces.component.behavior.ClientBehaviorContext.Parameter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent, java.lang.String eventName)`
    `ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent, java.lang.String eventName, java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)`
    `ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent, java.lang.String eventName, java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters, java.lang.String sourceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIComponent` | `getComponent()`
    `java.lang.String` | `getEventName()`
    `javax.faces.context.FacesContext` | `getFacesContext()`
    `java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter>` | `getParameters()`
    `java.lang.String` | `getSourceId()`

    - ### Methods inherited from class javax.faces.component.behavior.ClientBehaviorContext

      `createClientBehaviorContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBehaviorContextImpl

          public ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent,
                                           java.lang.String eventName)

    - #### ClientBehaviorContextImpl

          public ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent,
                                           java.lang.String eventName,
                                           java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)

    - #### ClientBehaviorContextImpl

          public ClientBehaviorContextImpl(javax.faces.component.UIComponent uiComponent,
                                           java.lang.String eventName,
                                           java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters,
                                           java.lang.String sourceId)

  - ### Method Detail

    - #### getComponent

          public javax.faces.component.UIComponent getComponent()

      Specified by:
        `getComponent` in class `javax.faces.component.behavior.ClientBehaviorContext`

    - #### getEventName

          public java.lang.String getEventName()

      Specified by:
        `getEventName` in class `javax.faces.component.behavior.ClientBehaviorContext`

    - #### getFacesContext

          public javax.faces.context.FacesContext getFacesContext()

      Specified by:
        `getFacesContext` in class `javax.faces.component.behavior.ClientBehaviorContext`

    - #### getParameters

          public java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> getParameters()

      Specified by:
        `getParameters` in class `javax.faces.component.behavior.ClientBehaviorContext`

    - #### getSourceId

          public java.lang.String getSourceId()

      Specified by:
        `getSourceId` in class `javax.faces.component.behavior.ClientBehaviorContext`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.